For the complete documentation index, see llms.txt. This page is also available as Markdown.

Payout Proof

How to get proof of payout

Get proof of payout.

POST https://sandbox.transfersmile.com/api/payout/voucher

Headers

Name
Type
Description

Content-Type*

String

application/json; chartset=UTF-8

AppId*

String

Your App ID in payout platform

Authorization*

String

SHA256($sorted_params + $app_key)

Request Body

Name
Type
Description

transaction_id*

string

pagsmile transaction id or payout_id required.

timestamp*

Integer

unix timestamp, e.g. 1628512575

{
    "code": 200,
    "msg": "success",
    "data": {
        "url": "https://bucket-temp.s3.us-west-1.amazonaws.com/****/voucher.pdf",
    }
}
{
    "code": 4004003,
    "msg": "permission denied",
    "time": 1642074682,
    "data": {}
}
{
    "code": 4001000,
    "msg": "invalid parameter",
    "time": 1642078510,
    "data": {
        "err": "request has expired"
    }
}

Payout proof is available for QRCode and BankTransfer payouts in all supported countries, as well as PIX in Brazil, SPEI in Mexico, and Transfiya and Bre-B in Colombia.

Example

Note: 94FAC*********************68548 is pagsmile's test merchant id for sandbox, and d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302 is authorization token associated with the test App ID

Last updated

Was this helpful?